Folders showing twice in Extplorer

03/23/2011 01:53 PM - Klaus Eder

Status: In Bearbeitung   

Priority: Hoch   

Assignee: Sören Eberhardt-Biermann   

Category: Bug   

Target version: 2.1.0   

eXtplorer Version:  Joomla! Version:  

Description

Sometimes when you open a couple of folders (using normal mode) the subfolders of one or more folders will show twice, but only be

clickable once (using standard mode - on the left/west panel of extplorer) it's like there'd be "shadow copies" which aren't clickable.

History

#1 - 03/23/2011 03:01 PM - Sören Eberhardt-Biermann

- Category set to Bug

- Status changed from Neu to In Bearbeitung

- Target version set to 2.1.0

I also found this bug a couple of times. I suspect it's a bug in ExtJS. You're right - the bug doesnt always occur, but only sometimes. It's very curious

why that happens...

#2 - 03/28/2011 08:58 PM - Tim Alatorre

This is what I found:

When selecting a directory tree parent node to display the folder contents and THEN clicking on the "+" symbol to expand the tree the child nodes are

all displayed twice.  If I just click on the "+" symbol first the child nodes only display once as expected.

I have not been able to duplicate this error with Firefox or Chrome.  I am running iE8 version 8.0.6001.18999.

#3 - 03/28/2011 11:37 PM - Klaus Eder

same happens in ff 4 - if you doubleclick the directory in the tree  the folders show up twice, if you click the plus sign it works ok.

#4 - 03/29/2011 12:11 AM - Klaus Eder

bug shouldn't be in extjs, as it wasn't there in previous versions of extplorer, and is still there if I use the old extjs version, which works fine in previous

extplorer versions.

(still could be "the way" the extplorer uses extjs though :-))

#5 - 03/29/2011 12:37 AM - Klaus Eder

however the issue is not confined to double clicking, it's just if you double click a folder it ALWAYS happens (at least in firefox 4) and it only rarely

happens if you click the + sign, in IE 8 however it almost always happens, even if you just click the + sign ...

hope this helps, I already browsed trough lots of documentation of extjs and bugs, couldn't really find anything useful though, my guess it's somehow

related to how the tree

is that the data gets loaded multiple times (as the tree is an asynch tree) and since the ids for the subfolders are the same they just show up as

"ghost" copies ... maybe

we can check for duplicates somehow ...

#6 - 04/01/2011 11:13 PM - Gary Csorgo

Sometimes I get three copies of folders. This happens in Firefox 3.6 on windows.
